Manual installation?

Call me crazy, but… I extracted my files to a folder called nextcloud_install. How do I launch the installer? This is a new install on a shared hosting server.

Help?

There is no webinstaller. Just “run” /index.php inside the Nextcloud folder on your shared enviroment.

Ok I found that. But will it install nextcloud to it’s own folder, or can I define what folder it installs to?

Just copy it to the target folder and then call Index.php.

Nextcloud itself will not copy anything anywhere :wink:

Thanks! Worked. So now “best practices” suggest that I move the data file outside of the main nextcloud folder, and edit the config.php to correspond right?

I don’t know about best practice but I did exactly that and it works like Charme👍

You can do it afterwards but it is way easier when you create a folder (doesn’t need to be named data) somewhere outside of your www root folder. And during the installation (when you open the index.php for the first time) you can enter the path to this folder.

But you said that you are on a shared hosting server so I doubt that you have access to something else then your web folder.

Is the web updater work for anybody?
When I did the check for update via the OCC command, it said “You already have the latest version”, but in reality it isn’t.
I’d to do a manual installation yesterday from NC 9.50 to 9.0.52.

The Updater is currently disabled, but you can test their new one: Test our new work-in-progress upgrader script

I found the instructions:

`To test this upload the file from https://raw.githubusercontent.com/nextcloud/updater/add-simplified-updater/index.php69 to /updater/index.php in your ownCloud or Nextcloud. And add the following to your config file (remove this value later after testing again!):

‘updater.server.url’ => ‘https://updates.nextcloud.org/updater_server/’,
Then switch in your admin screen to another channel and back to “stable”. You should also get a message displayed that a newer version is available. (if a warning is displayed that shell_exec is required, take a look at Test our new work-in-progress upgrader script)`

I get a 404 error when clicking on your github link.

https://raw.githubusercontent.com/nextcloud/updater/add-simplified-updater/index.php < working link